<?php

$this->headLink()->appendStylesheet($this->DinamicPath().'css/table.css','all');
$translate = Zend_Registry::get('Zend_Translate');
$request = Zend_Controller_Front::getInstance()->getRequest();

if (!is_null($this->pager)){
	try {
		$paginator = $this->PagerToPaginator($this->pager,$this->select);

		$head = NULL;
		//$head['nameHeader'] = array($translate->translate('ID'),$translate->translate('Title'),$translate->translate('Date'),$translate->translate('Username'),$translate->translate('State'));
		$selectData = array('id_table1','table1_column1','table1_column2','table1_column3','table3_id_table3');
		$links['id_table1']['link'] = $this->url(array('controller' => $request->getControllerName(), 'action' => 'edit'), $request->getModuleName(), true);
		$links[current($selectData)]['get'][0] = current($selectData);
		$columnValue = NULL;
		$hidden = NULL;
		$caption = array($translate->translate('table1'));
		print $this->Table($paginator,$selectData,$columnValue,$head,$hidden,$caption,$links);
		print $this->paginationControl($this->pager,'Sliding','paginator.phtml');
		
	}catch (Exception $e){
		echo $e->getMessage();
	}
}else {
	echo "Nebyly nalezeny zadne zaznamy.";
}
?>
